org.openmuc.openiec61850

## Class Array

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.Array

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public final class Array
    extends FcModelNode

An Array can contain up to n instances of one and the same DataObject, ConstructedDataAttribute, or BasicDataAttribute. The children of the array have the name that equals the index in the array (e.g. "0","1" etc.)

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`Array(ObjectReference objectReference, Fc fc, java.util.List<FcModelNode> children)` Creates an array object.

### Method Summary

All Methods Instance Methods Concrete Methods
`ModelNode` `copy()` Returns a copy of model node with all of its children.
`java.util.List<BasicDataAttribute>` `getBasicDataAttributes()` Returns a list of all leaf nodes (basic data attributes) contained in the subtree of this model node.
`ModelNode` `getChild(int index)`
`ModelNode` `getChild(java.lang.String childName, Fc fc)` Returns the child node with the given name and functional constraint.
`java.util.Collection<ModelNode>` `getChildren()`
`java.util.Iterator<ModelNode>` `iterator()`
`int` `size()`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc, toString`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getChild, getIterators, getName, getParent, getReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### Array

    public Array(ObjectReference objectReference,
                 Fc fc,
                 java.util.List<FcModelNode> children)

Creates an array object.

Parameters:
  `objectReference` - the reference of the array
  `fc` - the functional constraint of the array
  `children` - the children of the array

### Method Detail

#### getChildren

    public java.util.Collection<ModelNode> getChildren()

Overrides:
  `getChildren` in class `ModelNode`

#### iterator

    public java.util.Iterator<ModelNode> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<ModelNode>`
Overrides:
  `iterator` in class `ModelNode`

#### getChild

    public ModelNode getChild(java.lang.String childName,
                              Fc fc)

Description copied from class: `ModelNode`
Returns the child node with the given name and functional constraint. The fc is ignored if this function is called on any model node other than logical node.

Overrides:
  `getChild` in class `ModelNode`
Parameters:
  `childName` - the name of the requested child node
  `fc` - the functional constraint of the requested child node
Returns:
  the child node with the given name and functional constrain

#### getChild

    public ModelNode getChild(int index)

#### copy

    public ModelNode copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Specified by:
  `copy` in class `ModelNode`
Returns:
  a copy of model node with all of its children.

#### getBasicDataAttributes

    public java.util.List<BasicDataAttribute> getBasicDataAttributes()

Description copied from class: `ModelNode`
Returns a list of all leaf nodes (basic data attributes) contained in the subtree of this model node.

Overrides:
  `getBasicDataAttributes` in class `ModelNode`
Returns:
  a list of all leaf nodes (basic data attributes) contained in the subtree of this model node.

#### size

    public int size()